Index: /trunk/tests/AuthSQLTest.php
===================================================================
--- /trunk/tests/AuthSQLTest.php	(revision 468)
+++ /trunk/tests/AuthSQLTest.php	(revision 468)
@@ -0,0 +1,275 @@
+<?php
+/**
+ * The Strangecode Codebase - a general application development framework for PHP
+ * For details visit the project site: <http://trac.strangecode.com/codebase/>
+ * Copyright 2001-2012 Strangecode, LLC
+ *
+ * This file is part of The Strangecode Codebase.
+ *
+ * The Strangecode Codebase is free software: you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License as published by the
+ * Free Software Foundation, either version 3 of the License, or (at your option)
+ * any later version.
+ *
+ * The Strangecode Codebase is distributed in the hope that it will be useful, but
+ * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+ * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/**
+ * PHPUnit test case for codebase/lib/Auth_SQL.inc.php
+ *
+ * The method skeletons below need to be filled in with
+ * real data so that the tests will run correctly. Replace
+ * all EXPECTED_VAL and PARAM strings with real data.
+ *
+ * Created with PHPUnit_Skeleton on 2005-08-09
+ */
+class AuthSQLTest extends PHPUnit_Framework_TestCase {
+
+    var $Auth_SQL;
+
+    static $shared_session;
+
+    function setUp()
+    {
+	    require dirname(__FILE__) . '/_config.inc.php';
+        require_once '../lib/Auth_SQL.inc.php';
+        $this->Auth_SQL = new Auth_SQL('testauth');
+        $this->Auth_SQL->setParam(array(
+            'db_table'          => 'test_user_tbl',
+            'db_primary_key'    => 'user_id',
+            'db_login_table'    => 'test_login_tbl',
+            'login_url'         => '/login.php',
+            'blocking'          => true,
+            'encryption_type' => Auth_SQL::ENCRYPT_MD5_HARDENED,
+        ));
+
+        // Use fresh user table.
+        $this->Auth_SQL->initDB(true);
+
+        // Insert test data.
+        $db =& DB::getInstance();
+        $db->query("
+            INSERT INTO test_user_tbl (
+                username,
+                userpass,
+                first_name,
+                last_name,
+                email
+            ) VALUES (
+                'testuser',
+                '" . $this->Auth_SQL->encryptPassword('testpass') . "',
+                'John',
+                'Doe',
+                'root@localhost'
+            )
+        ");
+        $_SESSION = AuthSQLTest::$shared_session;
+    }
+
+    function tearDown()
+    {
+    	$db =& DB::getInstance();
+
+	    unset($this->Auth_SQL);
+        $db->query("DROP TABLE IF EXISTS test_user_tbl");
+        $db->query("DROP TABLE IF EXISTS test_login_tbl");
+        AuthSQLTest::$shared_session = $_SESSION;
+    }
+
+    function test_set()
+    {
+        $this->Auth_SQL->set('testuserkey', 'testuserval');
+        $this->assertEquals('testuserval', $_SESSION['_auth_sql']['testauth']['user_data']['testuserkey']);
+    }
+
+    function test_get()
+    {
+        $_SESSION['_auth_sql']['testauth']['user_data']['testuserkey'] = 'testuserval';
+        $val = $this->Auth_SQL->get('testuserkey');
+        $this->assertEquals('testuserval', $val);
+    }
+
+    function test_setparam()
+    {
+        $this->Auth_SQL->setParam(array(
+            'login_url'         => 'testloginurl.php'
+        ));
+        $this->assertEquals('testloginurl.php', $this->Auth_SQL->getParam('login_url'));
+    }
+
+    function test_getparam()
+    {
+        //$this->Auth_SQL->_params['login_url'] = 'testloginurl.php';
+        $this->Auth_SQL->setParam(array(
+            'login_url'         => 'testloginurl.php'
+        ));
+        $param = $this->Auth_SQL->getParam('login_url');
+        $this->assertEquals('testloginurl.php', $param);
+    }
+
+    function test_clear()
+    {
+        $login = $this->Auth_SQL->login('testuser', 'testpass');
+        $this->assertTrue($login, 'User login failed, but should have succeeded.');
+        $before_logged_in = $this->Auth_SQL->isloggedin();
+        $this->assertTrue($before_logged_in, 'User is not logged in, but should be.');
+        $this->Auth_SQL->clear();
+        $after_logged_in = $this->Auth_SQL->isloggedin();
+        $this->assertFalse($after_logged_in, 'User is still logged in but should not be.');
+    }
+
+    function test_authenticate()
+    {
+        $true = $this->Auth_SQL->authenticate('testuser', 'testpass');
+        $this->assertInternalType('array', $true, 'User login failed, but should have succeeded.');
+
+        // Testing wrong password.
+        $false = $this->Auth_SQL->authenticate('testuser', 'wrongpass');
+
+        $this->assertfalse($false, 'User login succeeded, but should have failed.');
+    }
+
+    function test_login_and_isLoggedIn()
+    {
+        $login = $this->Auth_SQL->login('testuser', 'testpass');
+        $this->assertTrue($login, '1. User login failed, but should have succeeded.');
+        $before_logged_in = $this->Auth_SQL->isloggedin();
+        $this->assertTrue($before_logged_in, '2. User is not logged in, but should be.');
+        $this->Auth_SQL->clear();
+        $after_logged_in = $this->Auth_SQL->isloggedin();
+        $this->assertFalse($after_logged_in, '3. User is still logged in but should not be.');
+
+        // Testing wrong password.
+        $login2 = $this->Auth_SQL->login('testuser', 'wrongpass');
+        $this->assertFalse($login2, '4. User login succeeded, but should have failed.');
+        $before_logged_in2 = $this->Auth_SQL->isloggedin();
+        $this->assertFalse($before_logged_in2, '5. User is logged in, but should not be.');
+        $this->Auth_SQL->clear();
+        $after_logged_in2 = $this->Auth_SQL->isloggedin();
+        $this->assertFalse($after_logged_in2, '6. Wrong user is still logged in but should not be.');
+    }
+
+    function test_requirelogin()
+    {
+//         $this->Auth_SQL->requirelogin('Login is required!');
+    }
+
+    function test_blockaccount()
+    {
+		$db =& DB::getInstance();
+
+        $this->Auth_SQL->login('testuser', 'testpass');
+        $this->Auth_SQL->blockaccount(null, 'blocktestuser');
+        $qid = $db->query("
+            SELECT blocked_reason
+            FROM test_user_tbl
+        ");
+        list($reason) = mysql_fetch_row($qid);
+        $this->assertEquals('blocktestuser', $reason, "Block not found in DB record.");
+    }
+
+    function test_unblockaccount()
+    {
+		$db =& DB::getInstance();
+
+        $db->query("
+            UPDATE test_user_tbl SET blocked_reason = 'blocktestuser'
+        ");
+        $this->Auth_SQL->unblockaccount();
+
+        $qid = $db->query("
+            SELECT blocked_reason
+            FROM test_user_tbl
+        ");
+        list($reason) = mysql_fetch_row($qid);
+        $this->assertTrue('' == $reason, "Block not removed from DB record.");
+    }
+
+    function test_usernameexists()
+    {
+        $result = $this->Auth_SQL->usernameexists('testuser');
+        $this->assertTrue($result);
+    }
+
+    function test_getusername()
+    {
+        $result = $this->Auth_SQL->getusername(1);
+        $this->assertEquals('testuser', $result);
+    }
+
+    function test_generatepassword()
+    {
+        $result = $this->Auth_SQL->generatepassword('xCVcvd');
+        $this->assertRegExp('/[bcdfghjklmnprstvwxzBCDFGHJKLMNPRSTVWXZaeiouyAEIOUY0123456789!@#%&*-=+.?][bcdfghjklmnprstvwxzBCDFGHJKLMNPRSTVWXZ][aeiouyAEIOUY][bcdfghjklmnprstvwxz][aeiouy][0123456789]/', $result, 'Generated password does not match intended pattern');
+    }
+
+    function test_encryptpassword()
+    {
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_MD5));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('202cb962ac59075b964b07152d234b70', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_MD5_HARDENED));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('c55e4ac608a8768ecd758fab971b0646', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_SHA1));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('40bd001563085fc35165329ea1ff5c5ecbdbbeef', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_SHA1_HARDENED));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('33d90af96a5928ac93cbd41fc436e8c55d2768c2', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_PLAINTEXT));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('123', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_CRYPT));
+        $result = $this->Auth_SQL->encryptpassword('123', 'saltstring');
+        $this->assertEquals('saEZ6MlWYV9nQ', $result);
+    }
+
+    function test_setpassword()
+    {
+		$db =& DB::getInstance();
+
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_SHA1_HARDENED));
+        $this->Auth_SQL->setpassword(null, '123');
+        $qid = $db->query("
+            SELECT userpass
+            FROM test_user_tbl
+        ");
+        list($pass) = mysql_fetch_row($qid);
+        $this->assertEquals('33d90af96a5928ac93cbd41fc436e8c55d2768c2', $pass);
+    }
+
+    function test_resetpassword()
+    {
+        $result = $this->Auth_SQL->resetpassword(1, 'Because this is a test.');
+        $this->assertInternalType('array', $result);
+
+    }
+
+//     function test_inclearancezone()
+//     {
+//         $result = $this->Auth_SQL->inclearancezone(PARAM);
+//         $expected = EXPECTED_VAL;
+//         $this->assertEquals($expected, $result);
+//     }
+//
+//     function test_requireaccessclearance()
+//     {
+//         $result = $this->Auth_SQL->requireaccessclearance(PARAM);
+//         $expected = EXPECTED_VAL;
+//         $this->assertEquals($expected, $result);
+//     }
+
+}
+
Index: /trunk/tests/Auth_FileTest.php
===================================================================
--- /trunk/tests/Auth_FileTest.php	(revision 467)
+++ /trunk/tests/Auth_FileTest.php	(revision 468)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -120,3 +120,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: /trunk/tests/Auth_SQLTest.php
===================================================================
--- /trunk/tests/Auth_SQLTest.php	(revision 467)
+++ /trunk/tests/Auth_SQLTest.php	(revision 468)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -30,5 +30,5 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
+
 class Auth_SQLTest extends PHPUnit_TestCase {
 
@@ -51,5 +51,5 @@
             'login_url'         => '/login.php',
             'blocking'          => true,
-            'encryption_type' => AUTH_ENCRYPT_MD5_HARDENED,
+            'encryption_type' => Auth_SQL::ENCRYPT_MD5_HARDENED,
         ));
 
@@ -80,5 +80,5 @@
     {
     	$db =& DB::getInstance();
-	
+
 	    unset($this->Auth_SQL);
         $db->query("DROP TABLE IF EXISTS test_user_tbl");
@@ -145,5 +145,5 @@
         $after_logged_in = $this->Auth_SQL->isloggedin();
         $this->assertFalse($after_logged_in, '3. User is still logged in but should not be.');
-        
+
         // Testing wrong password.
         $login2 = $this->Auth_SQL->login('testuser', 'wrongpass');
@@ -164,5 +164,5 @@
     {
 		$db =& DB::getInstance();
-	
+
         $this->Auth_SQL->login('testuser', 'testpass');
         $this->Auth_SQL->blockaccount(null, 'blocktestuser');
@@ -178,5 +178,5 @@
     {
 		$db =& DB::getInstance();
-	
+
         $db->query("
             UPDATE test_user_tbl SET blocked_reason = 'blocktestuser'
@@ -212,25 +212,25 @@
     function test_encryptpassword()
     {
-        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_MD5));
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_MD5));
         $result = $this->Auth_SQL->encryptpassword('123');
         $this->assertEquals('202cb962ac59075b964b07152d234b70', $result);
 
-        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_MD5_HARDENED));
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_MD5_HARDENED));
         $result = $this->Auth_SQL->encryptpassword('123');
         $this->assertEquals('c55e4ac608a8768ecd758fab971b0646', $result);
 
-        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_SHA1));
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_SHA1));
         $result = $this->Auth_SQL->encryptpassword('123');
         $this->assertEquals('40bd001563085fc35165329ea1ff5c5ecbdbbeef', $result);
 
-        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_SHA1_HARDENED));
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_SHA1_HARDENED));
         $result = $this->Auth_SQL->encryptpassword('123');
         $this->assertEquals('33d90af96a5928ac93cbd41fc436e8c55d2768c2', $result);
 
-        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_PLAINTEXT));
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_PLAINTEXT));
         $result = $this->Auth_SQL->encryptpassword('123');
         $this->assertEquals('123', $result);
 
-        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_CRYPT));
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_CRYPT));
         $result = $this->Auth_SQL->encryptpassword('123', 'saltstring');
         $this->assertEquals('saEZ6MlWYV9nQ', $result);
@@ -240,6 +240,6 @@
     {
 		$db =& DB::getInstance();
-	
-        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_SHA1_HARDENED));
+
+        $this->Auth_SQL->setParam(array('encryption_type' => Auth_SQL::ENCRYPT_SHA1_HARDENED));
         $this->Auth_SQL->setpassword(null, '123');
         $qid = $db->query("
@@ -261,3 +261,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: /trunk/tests/AuthorizeNetTest.php
===================================================================
--- /trunk/tests/AuthorizeNetTest.php	(revision 467)
+++ /trunk/tests/AuthorizeNetTest.php	(revision 468)
@@ -30,14 +30,11 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class AuthorizeNetTest extends PHPUnit_TestCase {
+
+class AuthorizeNetTest extends PHPUnit_Framework_TestCase {
 
     var $AuthorizeNet;
-
-    function AuthorizeNetTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
-
+    
+    static $shared_session;
+    
     function setUp()
     {
@@ -45,5 +42,5 @@
         require_once '../lib/AuthorizeNet.inc.php';
 
-        $this->AuthorizeNet =& new AuthorizeNet();
+        $this->AuthorizeNet = new AuthorizeNet();
         $this->AuthorizeNet->setParam(array(
             'x_login' => 'myaccount',
@@ -61,4 +58,5 @@
             'x_zip' => '75010',
         ));
+        $_SESSION = AuthorizeNetTest::$shared_session;
     }
 
@@ -66,4 +64,5 @@
     {
         unset($this->AuthorizeNet);
+        AuthorizeNetTest::$shared_session = $_SESSION;
     }
 
@@ -71,5 +70,5 @@
     {
         $this->AuthorizeNet->setparam(array('x_Login' => 'myaccount2'));
-        $this->assertEquals('myaccount2', $this->AuthorizeNet->_params['x_Login']);
+        $this->assertEquals('myaccount2', $this->AuthorizeNet->getParam('x_Login'));
     }
 
@@ -119,7 +118,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('AuthorizeNetTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/CSSTest.php
===================================================================
--- /trunk/tests/CSSTest.php	(revision 467)
+++ /trunk/tests/CSSTest.php	(revision 468)
@@ -30,14 +30,9 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class CSSTest extends PHPUnit_TestCase {
+
+class CSSTest extends PHPUnit_Framework_TestCase {
 
     var $CSS;
     var $test_css_file;
-
-    function CSSTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -46,5 +41,5 @@
         $this->test_css_file = dirname(__FILE__) . '/../css/codebase.inc.css';
         require_once '../lib/CSS.inc.php';
-        $this->CSS =& new CSS();
+        $this->CSS = new CSS();
         $this->CSS->setFile($this->test_css_file);
     }
@@ -86,7 +81,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('CSSTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/CacheTest.php
===================================================================
--- /trunk/tests/CacheTest.php	(revision 467)
+++ /trunk/tests/CacheTest.php	(revision 468)
@@ -7,5 +7,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -14,10 +14,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class CacheTest extends PHPUnit_TestCase {
+
+class CacheTest extends PHPUnit_Framework_TestCase {
 
     var $Cache;
@@ -40,5 +40,5 @@
     function CacheTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -105,7 +105,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('CacheTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/DBSessionHandlerTest.php
===================================================================
--- /trunk/tests/DBSessionHandlerTest.php	(revision 467)
+++ /trunk/tests/DBSessionHandlerTest.php	(revision 468)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -30,13 +30,8 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class DBSessionHandlerTest extends PHPUnit_TestCase {
+
+class DBSessionHandlerTest extends PHPUnit_Framework_TestCase {
 
     var $DBSessionHandler;
-
-    function DBSessionHandlerTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -73,4 +68,7 @@
     function test_DBsessionwrite()
     {
+        if (!isset($_SESSION)) {
+            $_SESSION = array();
+        }
         $this->DBSessionHandler->DBsessionwrite(session_id(), serialize($_SESSION));
     }
@@ -87,7 +85,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('DBSessionHandlerTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/EmailTest.php
===================================================================
--- /trunk/tests/EmailTest.php	(revision 467)
+++ /trunk/tests/EmailTest.php	(revision 468)
@@ -1,3 +1,4 @@
 <?php
+
 /**
  * The Strangecode Codebase - a general application development framework for PHP
@@ -30,13 +31,8 @@
  * Created with PHPUnit_Skeleton on 2005-12-01
  */
-require_once 'PHPUnit.php';
-class EmailTest extends PHPUnit_TestCase {
+
+class EmailTest extends PHPUnit_Framework_TestCase {
 
     var $Email;
-
-    function EmailTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -44,5 +40,5 @@
         require dirname(__FILE__) . '/_config.inc.php';
         require_once '../lib/Email.inc.php';
-        $this->Email =& new Email();
+        $this->Email = new Email();
     }
 
@@ -122,7 +118,2 @@
 
 }
-// Running the test.
-$suite  = new PHPUnit_TestSuite('EmailTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/FormValidatorTest.php
===================================================================
--- /trunk/tests/FormValidatorTest.php	(revision 467)
+++ /trunk/tests/FormValidatorTest.php	(revision 468)
@@ -30,13 +30,8 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class FormValidatorTest extends PHPUnit_TestCase {
+
+class FormValidatorTest extends PHPUnit_Framework_TestCase {
 
     var $FormValidator;
-
-    function FormValidatorTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -44,5 +39,5 @@
         require dirname(__FILE__) . '/_config.inc.php';
         require_once '../lib/FormValidator.inc.php';
-        $this->FormValidator =& new FormValidator();
+        $this->FormValidator = new FormValidator();
     }
 
@@ -294,7 +289,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('FormValidatorTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/Google_APITest.php
===================================================================
--- /trunk/tests/Google_APITest.php	(revision 467)
+++ /trunk/tests/Google_APITest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class GoogleAPITest extends PHPUnit_TestCase {
+
+class GoogleAPITest extends PHPUnit_Framework_TestCase {
 
     var $GoogleAPI;
@@ -40,5 +40,5 @@
     function GoogleAPITest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -91,7 +91,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('GoogleAPITest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/HierarchyTest.php
===================================================================
--- /trunk/tests/HierarchyTest.php	(revision 467)
+++ /trunk/tests/HierarchyTest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class HierarchyTest extends PHPUnit_TestCase {
+
+class HierarchyTest extends PHPUnit_Framework_TestCase {
 
     var $Hierarchy;
@@ -40,5 +40,5 @@
     function HierarchyTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -175,7 +175,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('HierarchyTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/ImageThumbTest.php
===================================================================
--- /trunk/tests/ImageThumbTest.php	(revision 467)
+++ /trunk/tests/ImageThumbTest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class ImageThumbTest extends PHPUnit_TestCase {
+
+class ImageThumbTest extends PHPUnit_Framework_TestCase {
 
     var $ImageThumb;
@@ -40,5 +40,5 @@
     function ImageThumbTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -119,7 +119,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('ImageThumbTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/LockTest.php
===================================================================
--- /trunk/tests/LockTest.php	(revision 467)
+++ /trunk/tests/LockTest.php	(revision 468)
@@ -30,14 +30,9 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class LockTest extends PHPUnit_TestCase {
+
+class LockTest extends PHPUnit_Framework_TestCase {
 
     var $Lock;
     var $Auth_SQL;
-
-    function LockTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -47,5 +42,5 @@
         require_once '../lib/Auth_SQL.inc.php';
 
-        $this->Auth_SQL =& new Auth_SQL('test');
+        $this->Auth_SQL = new Auth_SQL('test');
         $this->Auth_SQL->setParam(array(
             'db_table'          => 'test_user_tbl',
@@ -208,11 +203,6 @@
     {
         $result = $this->Lock->getsecondselapsed();
-        $this->assertType('integer', $result);
+        $this->assertInternalType('integer', $result);
     }
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('LockTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/MCVETest.php
===================================================================
--- /trunk/tests/MCVETest.php	(revision 467)
+++ /trunk/tests/MCVETest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class MCVETest extends PHPUnit_TestCase {
+
+class MCVETest extends PHPUnit_Framework_TestCase {
 
     var $MCVE;
@@ -40,5 +40,5 @@
     function MCVETest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -91,7 +91,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('MCVETest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/NavTest.php
===================================================================
--- /trunk/tests/NavTest.php	(revision 467)
+++ /trunk/tests/NavTest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class NavigationTest extends PHPUnit_TestCase {
+
+class NavigationTest extends PHPUnit_Framework_TestCase {
 
     var $Navigation;
@@ -40,5 +40,5 @@
     function NavigationTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -133,7 +133,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('NavigationTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/PEditTest.php
===================================================================
--- /trunk/tests/PEditTest.php	(revision 467)
+++ /trunk/tests/PEditTest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class PEditTest extends PHPUnit_TestCase {
+
+class PEditTest extends PHPUnit_Framework_TestCase {
 
     var $PEdit;
@@ -40,5 +40,5 @@
     function PEditTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -154,7 +154,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('PEditTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/PageNumbersTest.php
===================================================================
--- /trunk/tests/PageNumbersTest.php	(revision 467)
+++ /trunk/tests/PageNumbersTest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class PageNumbersTest extends PHPUnit_TestCase {
+
+class PageNumbersTest extends PHPUnit_Framework_TestCase {
 
     var $PageNumbers;
@@ -40,5 +40,5 @@
     function PageNumbersTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -133,7 +133,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('PageNumbersTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/PageSequenceTest.php
===================================================================
--- /trunk/tests/PageSequenceTest.php	(revision 467)
+++ /trunk/tests/PageSequenceTest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class PageSequenceTest extends PHPUnit_TestCase {
+
+class PageSequenceTest extends PHPUnit_Framework_TestCase {
 
     var $PageSequence;
@@ -40,5 +40,5 @@
     function PageSequenceTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -182,7 +182,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('PageSequenceTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
